<div class="container my-5">
  <a href="javascript:history.back()" class="btn btn-primary">Back</a>
  <div class="row">
    <div class="col-md-8">
      <video autoplay loop muted controls width="100%">
        <source src="../../assets/img/UpperExtremity.mp4" type="video/mp4">
      </video>
    </div>
    <div class="col-md-4 mx-auto">
      <form name="getStarted">
        <div class="form-group">
          <label for="username">Company Name:</label>
          <input type="text" class="form-control" id="company" name="company" required>
        </div>
        <div class="form-group">
          <label for="username">Expert Name:</label>
          <input type="text" class="form-control" id="expert" name="expert" required>
        </div>
        <div class="form-group">
          <label for="username">Patient Name:</label>
          <input type="text" class="form-control" id="username" name="username" required>
        </div>
        <div class="form-group">
          <label for="config">Config:</label>
          <input type="text" class="form-control" id="config" name="config" disabled>
        </div>
        <div class="form-group">
          <label for="inputPoseNumberDefault">Pose Number:</label>
          <select class="form-control" id="inputPoseNumberGetStarted" name="poseNumber"
            [ngModelOptions]="{ standalone: true }" [(ngModel)]="poseNumber">
            <option value="1">Sol Kol</option>
            <option value="2">Sağ Kol</option>
          </select>
        </div>
        <div class="form-group">
          <label for="inputDescriptionDefault">Description:</label>
          <textarea class="form-control" id="inputDescriptionGetStarted" name="description" [(ngModel)]="description"></textarea>
        </div>
        <button type="button" class="btn btn-primary mt-3 ml-1" data-toggle="modal" data-target="#settingsModal">Open
          Custom Settings</button>
        <button type="button" class="btn btn-success mt-3 ml-3" (click)="getStarted()">Get Started</button>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="settingsModal" tabindex="-1" role="dialog" aria-labelledby="settingsModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="settingsModalLabel">Custom Settings</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label for="inputName">Company Name:</label>
          <input type="text" class="form-control" id="company_name" placeholder="Enter company name" required>
        </div>
        <div class="form-group">
          <label for="inputName">Expet Name:</label>
          <input type="text" class="form-control" id="expert_name" placeholder="Enter expert name" required>
        </div>
        <div class="form-group">
          <label for="inputName">Patient Name:</label>
          <input type="text" class="form-control" id="inputName" placeholder="Enter patient name" required>
        </div>
        <div class="form-group">
          <label for="inputRepetitions">Repetitions:</label>
          <input type="number" class="form-control" id="inputRepetitions" value="0">
        </div>
        <div class="form-group">
          <label for="inputDuration">Duration (in seconds):</label>
          <input type="number" class="form-control" id="inputDuration" [(ngModel)]="duration"
            (change)="onDurationChange($event)" value="0" step="1">
        </div>
        <div class="form-group">
          <label for="inputParts">Parts:</label>
          <input type="text" class="form-control" id="inputParts" [(ngModel)]="selectedParts"
            (change)="onPartsChange($event)">
        </div>
        <div class="form-group">
          <label for="inputDelay">Delay between per repetitions (in seconds):</label>
          <input type="number" class="form-control" id="inputDelay" value="1" step="1" disabled>
        </div>
        <div class="form-group">
          <label for="config">Config:</label>
          <input type="text" class="form-control" id="custom_config" disabled>
        </div>
        <div class="form-group">
          <label for="inputPoseNumber">Pose Number:</label>
          <select class="form-control" id="inputPoseNumber" [(ngModel)]="poseNumber">
            <option value="1">Sol Kol</option>
            <option value="2">Sağ Kol</option>
          </select>
        </div>

        <div class="form-group">
          <label for="inputDescription">Description:</label>
          <textarea class="form-control" id="inputDescription" [(ngModel)]="description"></textarea>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" (click)="save()">Run</button>
      </div>
    </div>
  </div>
</div>